Subject: Re: [mpls] Warren Kumari's No Objection on draft-ietf-mpls-flow-ident-06: (with COMMENT)

From: Stewart Bryant <[email-masked]>
Date: Thu, 1 Mar 2018 19:57:03 +0000

Hi Warren

Thank you for this review.

I have done all the nits and rewritten the run-ons for clarity along the 
lines you suggest.

Best regards

- Stewart

On 08/01/2018 23:44, Warren Kumari wrote:
> Warren Kumari has entered the following ballot position for
> draft-ietf-mpls-flow-ident-06: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-flow-ident/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you for writing this, I think it is a useful document -- however, it does
> have a number of nits which would be nice to address (if you make any other
> edits).
>
> Nits:
> Section 1.  Introduction
> O: "flow identification.The key"
> P: "flow identification. The key"
> R: missing space
>
> O: performance monitoring of MPLS flows when MPL is used for the encapsulation
> of user data packets. P: performance monitoring of MPLS flows when MPLS is used
> for the encapsulation of user data packets. R: Typo for MPLS?
>
> O: Indeed it is important that any flow identification technique be invisible
> to them and that no remnant of the identification of measurement process leaked
> into their network. P: Indeed it is important that any flow identification
> technique be invisible to them and that no remnant of the identification of
> measurement process leaks into their network. R: Tense / readability.
>
> Section 3.  Loss Measurement Considerations
>
> O: Modern networks, if not oversubscribed, potentially drop relatively
> P: Modern networks, if not oversubscribed, generally drop relatively
> C: "potentially" makes it sound like this might happen. If a network isn't
> oversubscribed it usually won't drop packets.
>
> Section 4.  Delay Measurement Considerations
> O: Most of the existing delay measurement methods are active measurement that
> depend on the extra injected test packet to evaluate C: I think that this
> should be "active measurements" or "active methods". I'm also confused by the
> singular of "packet".
>
> O: Also, for injected test packets, these may not be co-routed with the data
> traffic due to ECMP, or various link aggregation technologies all of which
> distribute flows across a number of paths at the network, or data-link and
> hence at the physical layer. C: This sentence is a run on / really confusing. I
> know what you are trying to say, but this doesn't communicate it well. Perhaps
> "Due to ECMP (or link aggregation techniques) injected test packets may
> traverse other links than the data traffic."? Still not great, but I think
> easier to parse.
>
> Section 5.  Units of identification
>
> O: In particular note that there may be a need to impose identify at several
> different layers of the MPLS label stack. P: "identity" (or perhaps
> "identification"?)
>
> O: Such fine grained resolution may be possible by deep packet inspection, but
> this may not always be possible, or it may be desired to minimize processing
> costs by doing this only in entry to the network, and adding a suitable
> identifier to the packet for reference by other network elements. C: This feels
> like a run on. Also I *think* it is "fine-grained" and "on entry to the
> network" (nits)
>
> O: This allows for the case of instrumenting multiple LSPs operate between the
> same pair of nodes. P: This allows for the case of instrumenting multiple LSPs
> operating between the same pair of nodes. C: Readability.
>
>